package jmetrix.group;

/**
 * @author Konstantin Kuzmin
 * @version $Revision$
 * @since 04.10.11
 */
abstract public class AbstractGroupMeasurement<ValueType> implements GroupMeasurement<ValueType> {
    private final String[] groups = GroupSequence.getThreadLocal().get().getGroups();

    protected AbstractGroupMeasurement() {
    }

    public String[] getGroups() {
        return groups;
    }
}
